Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdEJournal.EJ_DocumentsFound

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdEJournal.EJ_DocumentsFound

Enclosing class:
  cmdEJournal

    public static class cmdEJournal.EJ_DocumentsFound
    extends java.lang.Object

Data Class

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `EJ_DocumentsFound()` |
  `EJ_DocumentsFound​(java.lang.String docNumber, java.lang.String date, java.lang.String type, java.lang.String znumber)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getDate()` |
  `java.lang.String` | `getDocNumber()` |
  `java.lang.String` | `getFirstDoc()` |
  `int` | `getIntFirstDoc()` |
  `int` | `getIntLastDoc()` |
  `java.lang.String` | `getLastDoc()` |
  `java.lang.String` | `getType()` |
  `java.lang.String` | `getZnumber()` |
  `cmdEJournal.EJ_DocumentsFound` | `setFirstLastDoc​(java.lang.String firstDoc, java.lang.String lastDoc)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EJ_DocumentsFound

    public EJ_DocumentsFound()

  - ### EJ_DocumentsFound

    public EJ_DocumentsFound​(java.lang.String docNumber, java.lang.String date, java.lang.String type, java.lang.String znumber)

- ## Method Details

  - ### getDocNumber

    public java.lang.String getDocNumber()

  - ### getDate

    public java.lang.String getDate()

  - ### getType

    public java.lang.String getType()

  - ### getZnumber

    public java.lang.String getZnumber()

  - ### setFirstLastDoc

    public cmdEJournal.EJ_DocumentsFound setFirstLastDoc​(java.lang.String firstDoc, java.lang.String lastDoc)

  - ### getLastDoc

    public java.lang.String getLastDoc()

  - ### getFirstDoc

    public java.lang.String getFirstDoc()

  - ### getIntLastDoc

    public int getIntLastDoc()

  - ### getIntFirstDoc

    public int getIntFirstDoc()